package com.leromro.serve.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 志愿者信息表
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("l_volunteer_info")
@ApiModel(value="LVolunteerInfo对象", description="志愿者信息表")
public class VolunteerInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "volunteer_id", type = IdType.AUTO)
    private Long volunteerId;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "志愿者姓名")
    private String name;

    @ApiModelProperty(value = "身份证号")
    private String idCard;

    @ApiModelProperty(value = "照片")
    private String picture;

    @ApiModelProperty(value = "评分")
    private Double score;

    @ApiModelProperty(value = "大类别")
    private Long serviceCategory;

    @ApiModelProperty(value = "小类别")
    private Long serviceType;

    @ApiModelProperty(value = "学科科目")
    private Long serviceSubject;

    @ApiModelProperty(value = "技能描述")
    private String skillDescribe;

    @ApiModelProperty(value = "联系电话")
    private String phonenumber;

    @ApiModelProperty(value = "性别 0女 1男")
    private Integer sex;

    @ApiModelProperty(value = "状态 0 不接单  1 正在接单")
    private Integer status;

    @ApiModelProperty(value = "证书图片")
    private String certificate;

    @ApiModelProperty(value = "之前工作过的单位")
    private String workedCompany;

    @ApiModelProperty(value = "职称")
    private String level;

    @ApiModelProperty(value = "是否在职 0 否 1是")
    private Integer isOnJob;

    @ApiModelProperty(value = "地区")
    private String city;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "备注")
    private String remark;


}
