package com.leromro.serve.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.leromro.serve.domain.VolunteerInfo;
import com.leromro.serve.domain.vos.VolunteerInfoVO;
import com.leromro.serve.mapper.VolunteerInfoMapper;
import com.leromro.serve.service.IVolunteerInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 志愿者信息表 服务实现类
 * </p>
 *
 * @author lr
 * @since 2025-04-07
 */
@Service
public class VolunteerInfoServiceImpl extends ServiceImpl<VolunteerInfoMapper, VolunteerInfo> implements IVolunteerInfoService {

    @Autowired
    private VolunteerInfoMapper volunteerInfoMapper;

    /**
     * @param volunteerInfoVO
     * @param userId
     * @param serviceCategory
     */
    @Override
    public void newVolunteerInfoByuserId(VolunteerInfoVO volunteerInfoVO, Long userId, Long serviceCategory) {
        volunteerInfoVO.setUserId(userId);
        LambdaQueryWrapper<VolunteerInfo> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(VolunteerInfo::getVolunteerId, userId).eq(VolunteerInfo::getServiceCategory, serviceCategory);
        Integer i = volunteerInfoMapper.selectCount(wrapper);
        if(i>0){
            throw new RuntimeException("此用户已有志愿者信息，不可重复创建，请前往修改");
        }else {volunteerInfoMapper.newVolunteerByUserId(volunteerInfoVO);}
    }
}
